Index: drivers/dahdi/dahdi-base.c
===================================================================
--- drivers/dahdi/dahdi-base.c	(revision 4608)
+++ drivers/dahdi/dahdi-base.c	(working copy)
@@ -1628,8 +1628,8 @@
 #ifdef CONFIG_DAHDI_DEBUG
 		module_printk(KERN_NOTICE, "Buffered %d bytes to go out in buffer %d\n", ss->writen[oldbuf], oldbuf);
 		for (x=0;x<ss->writen[oldbuf];x++)
-		     printk("%02x ", ss->writebuf[oldbuf][x]);
-		printk("\n");
+		     module_printk(KERN_DEBUG,"%02x ", ss->writebuf[oldbuf][x]);
+		module_printk(KERN_DEBUG "\n");
 #endif
 		retval = 0;
 		/* Free the SKB */
@@ -1729,8 +1729,8 @@
 #ifdef CONFIG_DAHDI_DEBUG
 		module_printk(KERN_NOTICE, "Buffered %d bytes (skblen = %d) to go out in buffer %d\n", ss->writen[oldbuf], skb->len, oldbuf);
 		for (x=0;x<ss->writen[oldbuf];x++)
-		     printk("%02x ", ss->writebuf[oldbuf][x]);
-		printk("\n");
+		     module_printk(KERN_DEBUG, "%02x ", ss->writebuf[oldbuf][x]);
+		module_printk(KERN_DEBUG, "\n");
 #endif
 		retval = 1;
 	}
@@ -1851,8 +1851,8 @@
 			myamnt = chan->readn[res];
 		module_printk(KERN_NOTICE, "dahdi_chan_read(unit: %d, inwritebuf: %d, outwritebuf: %d amnt: %d\n", 
 			      unit, chan->inwritebuf, chan->outwritebuf, myamnt);
-		printk("\t("); for (x = 0; x < myamnt; x++) printk((x ? " %02x" : "%02x"), (unsigned char)usrbuf[x]);
-		printk(")\n");
+		module_printk(KERN_DEBUG, "\t("); for (x = 0; x < myamnt; x++) module_printk((KERN_DEBUG, x ? " %02x" : "%02x"), (unsigned char)usrbuf[x]);
+		module_printk(KERN_DEBUG, ")\n");
 	}
 #endif
 /* end addition */
@@ -1960,8 +1960,8 @@
  		int x;
  		module_printk(KERN_NOTICE, "dahdi_chan_write/in(unit: %d, res: %d, outwritebuf: %d amnt: %d, txdisable: %d)\n",
 			      unit, res, chan->outwritebuf, amnt, chan->txdisable);
- 		printk("\t("); for (x = 0; x < amnt; x++) printk((x ? " %02x" : "%02x"), (unsigned char)usrbuf[x]);
- 		printk(")\n");
+ 		module_printk(KERN_DEBUG, "\t("); for (x = 0; x < amnt; x++) module_printk(KERN_DEBUG, (x ? " %02x" : "%02x"), (unsigned char)usrbuf[x]);
+ 		module_printk(KERN_DEBUG, ")\n");
  	}
 #endif
 
Index: drivers/dahdi/dahdi_dummy.c
===================================================================
--- drivers/dahdi/dahdi_dummy.c	(revision 4608)
+++ drivers/dahdi/dahdi_dummy.c	(working copy)
@@ -322,7 +322,7 @@
 	dahdi_unregister(&ztd->span);
 	kfree(ztd);
 	if (debug)
-		printk("ztdummy: cleanup() finished\n");
+		printk(KERN_DEBUG "ztdummy: cleanup() finished\n");
 }
 
 
Index: drivers/dahdi/xpp/xpp_dahdi.c
===================================================================
--- drivers/dahdi/xpp/xpp_dahdi.c	(revision 4608)
+++ drivers/dahdi/xpp/xpp_dahdi.c	(working copy)
@@ -803,23 +803,23 @@
 	DBG(GENERAL, "span->mainttimer=%d\n", span->mainttimer);
 	switch(cmd) {
 		case DAHDI_MAINT_NONE:
-			printk("XXX Turn off local and remote loops XXX\n");
+			printk(KERN_INFO "XXX Turn off local and remote loops XXX\n");
 			break;
 		case DAHDI_MAINT_LOCALLOOP:
-			printk("XXX Turn on local loopback XXX\n");
+			printk(KERN_INFO "XXX Turn on local loopback XXX\n");
 			break;
 		case DAHDI_MAINT_REMOTELOOP:
-			printk("XXX Turn on remote loopback XXX\n");
+			printk(KERN_INFO "XXX Turn on remote loopback XXX\n");
 			break;
 		case DAHDI_MAINT_LOOPUP:
-			printk("XXX Send loopup code XXX\n");
+			printk(KERN_INFO "XXX Send loopup code XXX\n");
 			// CALL_XMETHOD(LOOPBACK_AX, xpd->xbus, xpd, loopback_data, ARRAY_SIZE(loopback_data));
 			break;
 		case DAHDI_MAINT_LOOPDOWN:
-			printk("XXX Send loopdown code XXX\n");
+			printk(KERN_INFO "XXX Send loopdown code XXX\n");
 			break;
 		case DAHDI_MAINT_LOOPSTOP:
-			printk("XXX Stop sending loop codes XXX\n");
+			printk(KERN_INFO "XXX Stop sending loop codes XXX\n");
 			break;
 		default:
 			ERR("XPP: Unknown maint command: %d\n", cmd);
Index: drivers/dahdi/xpp/card_fxs.c
===================================================================
--- drivers/dahdi/xpp/card_fxs.c	(revision 4608)
+++ drivers/dahdi/xpp/card_fxs.c	(working copy)
@@ -1010,10 +1010,10 @@
 			LINE_DBG(GENERAL, xpd, pos, "MSG:");
 			for(j = 0; j < DAHDI_CHUNKSIZE; j++) {
 				if(debug)
-					printk(" %02X", writechunk[j]);
+					printk(KERN_DEBUG " %02X", writechunk[j]);
 			}
 			if(debug)
-				printk("\n");
+				printk(KERN_DEBUG "\n");
 		}
 #endif
 		if(unlikely(mem_equal(writechunk, FSK_COMMON_PATTERN, DAHDI_CHUNKSIZE)))
@@ -1033,7 +1033,7 @@
 
 				LINE_NOTICE(xpd, i, "MSG WAITING Unexpected:");
 				for(j = 0; j < DAHDI_CHUNKSIZE; j++) {
-					printk(" %02X", writechunk[j]);
+					printk( " %02X", writechunk[j]);
 				}
 				printk("\n");
 			}
Index: drivers/dahdi/xpp/xproto.c
===================================================================
--- drivers/dahdi/xpp/xproto.c	(revision 4608)
+++ drivers/dahdi/xpp/xproto.c	(working copy)
@@ -309,7 +309,7 @@
 		int i;
 		byte	*p = (byte *)packet;
 
-		printk(" BYTES: ");
+		printk(KERN_DEBUG " BYTES: ");
 		for(i = 0; i < XPACKET_LEN(packet); i++) {
 			static int limiter = 0;
 
@@ -325,11 +325,11 @@
 				break;
 			}
 			if (debug)
-				printk("%02X ", p[i]);
+				printk(KERN_DEBUG "%02X ", p[i]);
 		}
 	}
 #endif
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 }
 
 void dump_reg_cmd(const char msg[], bool writing, xbus_t *xbus,
Index: drivers/dahdi/dahdi_echocan_kb1.c
===================================================================
--- drivers/dahdi/dahdi_echocan_kb1.c	(revision 4608)
+++ drivers/dahdi/dahdi_echocan_kb1.c	(working copy)
@@ -37,7 +37,7 @@
 static int aggressive;
 
 #define module_printk(level, fmt, args...) printk(level "%s: " fmt, THIS_MODULE->name, ## args)
-#define debug_printk(level, fmt, args...) if (debug >= level) printk("%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
+#define debug_printk(level, fmt, args...) if (debug >= level) printk(KERN_DEBUG "%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
 
 /* Uncomment to provide summary statistics for overall echo can performance every 4000 samples */ 
 /* #define MEC2_STATS 4000 */
Index: drivers/dahdi/tor2.c
===================================================================
--- drivers/dahdi/tor2.c	(revision 4608)
+++ drivers/dahdi/tor2.c	(working copy)
@@ -201,7 +201,7 @@
 	struct tor2_span *p = span->pvt;
 
 	if (debug)
-		printk("Tor2: Configuring span %d\n", span->spanno);
+		printk(KERN_INFO "Tor2: Configuring span %d\n", span->spanno);
 
 	span->syncsrc = p->tor->syncsrc;
 	
@@ -234,9 +234,9 @@
 	alreadyrunning = chan->span->flags & DAHDI_FLAG_RUNNING;
 	if (debug) {
 		if (alreadyrunning)
-			printk("Tor2: Reconfigured channel %d (%s) sigtype %d\n", chan->channo, chan->name, sigtype);
+			printk(KERN_INFO "Tor2: Reconfigured channel %d (%s) sigtype %d\n", chan->channo, chan->name, sigtype);
 		else
-			printk("Tor2: Configured channel %d (%s) sigtype %d\n", chan->channo, chan->name, sigtype);
+			printk(KERN_INFO "Tor2: Configured channel %d (%s) sigtype %d\n", chan->channo, chan->name, sigtype);
 	}		
 	/* nothing more to do if an E1 */
 	if (p->tor->cardtype == TYPE_E1) return 0;
@@ -313,7 +313,7 @@
 {
 	if (tor->spans[0].flags & DAHDI_FLAG_REGISTERED)
 		return 0;
-	printk("Tor2: Launching card: %d\n", tor->order);
+	printk(KERN_INFO "Tor2: Launching card: %d\n", tor->order);
 	if (dahdi_register(&tor->spans[0], 0)) {
 		printk(KERN_ERR "Unable to register span %s\n", tor->spans[0].name);
 		return -1;
@@ -425,14 +425,14 @@
 		goto err_out_release_plx_region;
 	}
 	pci_set_drvdata(pdev, tor);
-	printk("Detected %s at 0x%lx/0x%lx irq %d\n", tor->type, 
+	printk(KERN_INFO "Detected %s at 0x%lx/0x%lx irq %d\n", tor->type, 
 		tor->xilinx32_region, tor->xilinx8_region,tor->irq);
 
 	for (x = 0; x < MAX_TOR_CARDS; x++) {
 		if (!cards[x]) break;
 	}
 	if (x >= MAX_TOR_CARDS) {
-		printk("No cards[] slot available!!\n");
+		printk(KERN_DEBUG "No cards[] slot available!!\n");
 		goto err_out_release_all;
 	}
 	tor->num = x;
@@ -453,21 +453,21 @@
 	while (le32_to_cpu(*gpdata_io) & (GPIO_INIT | GPIO_DONE) && (jiffies <= endjif));
 
 	if (endjif < jiffies) {
-		printk("Timeout waiting for INIT and DONE to go low\n");
+		printk(KERN_DEBUG "Timeout waiting for INIT and DONE to go low\n");
 		goto err_out_release_all;
 	}
-	if (debug) printk("fwload: Init and done gone to low\n");
+	if (debug) printk(KERN_DEBUG "fwload: Init and done gone to low\n");
 	gpdata |= GPIO_PROGRAM;
 	*gpdata_io = cpu_to_le32(gpdata);  /* de-activate the PROGRAM signal */
 	/* wait for INIT to go high (clearing done */
 	endjif = jiffies + 10;
 	while (!(le32_to_cpu(*gpdata_io) & GPIO_INIT) && (jiffies <= endjif));
 	if (endjif < jiffies) {
-		printk("Timeout waiting for INIT to go high\n");
+		printk(KERN_DEBUG "Timeout waiting for INIT to go high\n");
 		goto err_out_release_all;
 	}
 
-	if (debug) printk("fwload: Init went high (clearing done)\nNow loading...\n");
+	if (debug) printk(KERN_DEBUG "fwload: Init went high (clearing done)\nNow loading...\n");
 	/* assert WRITE signal */
 	gpdata &= ~GPIO_WRITE;
 	*gpdata_io = cpu_to_le32(gpdata);
@@ -480,29 +480,29 @@
 		  /* if INIT drops, we're screwed, exit */
 		if (!(le32_to_cpu(*gpdata_io) & GPIO_INIT)) break;
 	   }
-	if (debug) printk("fwload: Transferred %d bytes into chip\n",x);
+	if (debug) printk(KERN_DEBUG "fwload: Transferred %d bytes into chip\n",x);
 	/* Wait for FIFO to clear */
 	endjif = jiffies + 2;
 	while (jiffies < endjif); /* wait */
 	  /* de-assert write signal */
 	gpdata |= GPIO_WRITE;
 	*gpdata_io = cpu_to_le32(gpdata);
-	if (debug) printk("fwload: Loading done!\n");	
+	if (debug) printk(KERN_DEBUG "fwload: Loading done!\n");	
 
 	/* Wait for FIFO to clear */
 	endjif = jiffies + 2;
 	while (jiffies < endjif); /* wait */
 	if (!(le32_to_cpu(*gpdata_io) & GPIO_INIT))
 	   {
-		printk("Drove Init low!! CRC Error!!!\n");
+		printk(KERN_NOTICE "Drove Init low!! CRC Error!!!\n");
 		goto err_out_release_all;
 	   }
 	if (!(le32_to_cpu(*gpdata_io) & GPIO_DONE))
 	   {
-		printk("Did not get DONE signal. Short file maybe??\n");
+		printk(KERN_DEBUG "Did not get DONE signal. Short file maybe??\n");
 		goto err_out_release_all;
 	   }
-	printk("Xilinx Chip successfully loaded, configured and started!!\n");
+	printk(KERN_INFO "Xilinx Chip successfully loaded, configured and started!!\n");
 
 	tor->mem8[SYNCREG] = 0;
 	tor->mem8[CTLREG] = 0;
@@ -538,11 +538,11 @@
 	}
 
 	if (t1in(tor,1,0xf) & 0x80) {
-		printk("Tormenta 2 Quad E1/PRA Card\n");
+		printk(KERN_INFO "Tormenta 2 Quad E1/PRA Card\n");
 		tor->cardtype = TYPE_E1;
 		tor->datxlt = datxlt_e1;
 	} else {
-		printk("Tormenta 2 Quad T1/PRI Card\n");
+		printk(KERN_INFO "Tormenta 2 Quad T1/PRI Card\n");
 		tor->cardtype = TYPE_T1;
 		tor->datxlt = datxlt_t1;
 	}
@@ -559,7 +559,7 @@
 	init_spans(tor); 
 
 	tor->order = tor->mem8[SWREG];
-	printk("Detected Card number: %d\n", tor->order);
+	printk(KERN_INFO "Detected Card number: %d\n", tor->order);
 
 	/* Launch cards as appropriate */
 	x = 0;
@@ -641,13 +641,13 @@
 static int __init tor2_init(void) {
 	int res;
 	res = dahdi_pci_module(&tor2_driver);
-	printk("Registered Tormenta2 PCI\n");
+	printk(KERN_INFO "Registered Tormenta2 PCI\n");
 	return res;
 }
 
 static void __exit tor2_cleanup(void) {
 	pci_unregister_driver(&tor2_driver);
-	printk("Unregistered Tormenta2\n");
+	printk(KERN_INFO "Unregistered Tormenta2\n");
 }
 
 static void set_clear(struct tor2 *tor)
@@ -662,7 +662,7 @@
 
 			if ((i % 8)==7) {
 #if 0
-				printk("Putting %d in register %02x on span %d\n",
+				printk(KERN_DEBUG "Putting %d in register %02x on span %d\n",
 				       val, 0x39 + j, 1 + s);
 #endif
 				t1out(tor,1 + s, 0x39 + j, val);
@@ -681,7 +681,7 @@
 	struct tor2_chan *p = chan->pvt;
 	unsigned long flags;
 #if 0
-	printk("Setting bits to %d on channel %s\n", bits, chan->name);
+	printk(KERN_DEBUG "Setting bits to %d on channel %s\n", bits, chan->name);
 #endif	
 	if (p->tor->cardtype == TYPE_E1) { /* do it E1 way */
 		if (chan->chanpos == 16) return 0;
@@ -753,7 +753,7 @@
 
 	tspan = p->span + 1;
 	if (tspan < 0) {
-		printk("Tor2: Span '%d' isn't us?\n", span->spanno);
+		printk(KERN_DEBUG "Tor2: Span '%d' isn't us?\n", span->spanno);
 		return -1;
 	}
 
@@ -779,7 +779,7 @@
 		/* No longer in use, disable interrupts */
 		p->tor->mem8[CTLREG] = 0;
 	if (debug)
-		printk("Span %d (%s) shutdown\n", span->spanno, span->name);
+		printk(KERN_DEBUG"Span %d (%s) shutdown\n", span->spanno, span->name);
 	return 0;
 }
 
@@ -798,7 +798,7 @@
 
 	tspan = p->span + 1;
 	if (tspan < 0) {
-		printk("Tor2: Span '%d' isn't us?\n", span->spanno);
+		printk(KERN_DEBUG "Tor2: Span '%d' isn't us?\n", span->spanno);
 		return -1;
 	}
 
@@ -896,9 +896,9 @@
 
 		if (debug) {
 			if (alreadyrunning) 
-				printk("Tor2: Reconfigured span %d (%s/%s%s) 120 Ohms\n", span->spanno, coding, framing, crcing);
+				printk(KERN_INFO "Tor2: Reconfigured span %d (%s/%s%s) 120 Ohms\n", span->spanno, coding, framing, crcing);
 			else
-				printk("Tor2: Startup span %d (%s/%s%s) 120 Ohms\n", span->spanno, coding, framing, crcing);
+				printk(KERN_INFO "Tor2: Startup span %d (%s/%s%s) 120 Ohms\n", span->spanno, coding, framing, crcing);
 		}
 	} else { /* is a T1 card */
 
@@ -983,15 +983,15 @@
 
 		if (debug) {
 			if (alreadyrunning) 
-				printk("Tor2: Reconfigured span %d (%s/%s) LBO: %s\n", span->spanno, coding, framing, dahdi_lboname(span->txlevel));
+				printk(KERN_INFO "Tor2: Reconfigured span %d (%s/%s) LBO: %s\n", span->spanno, coding, framing, dahdi_lboname(span->txlevel));
 			else
-				printk("Tor2: Startup span %d (%s/%s) LBO: %s\n", span->spanno, coding, framing, dahdi_lboname(span->txlevel));
+				printk(KERN_INFO "Tor2: Startup span %d (%s/%s) LBO: %s\n", span->spanno, coding, framing, dahdi_lboname(span->txlevel));
 		}
 	}
-	if (p->tor->syncs[0] == span->spanno) printk("SPAN %d: Primary Sync Source\n",span->spanno);
-	if (p->tor->syncs[1] == span->spanno) printk("SPAN %d: Secondary Sync Source\n",span->spanno);
-	if (p->tor->syncs[2] == span->spanno) printk("SPAN %d: Tertiary Sync Source\n",span->spanno);
-	if (p->tor->syncs[3] == span->spanno) printk("SPAN %d: Quaternary Sync Source\n",span->spanno);
+	if (p->tor->syncs[0] == span->spanno) printk(KERN_INFO "SPAN %d: Primary Sync Source\n",span->spanno);
+	if (p->tor->syncs[1] == span->spanno) printk(KERN_INFO "SPAN %d: Secondary Sync Source\n",span->spanno);
+	if (p->tor->syncs[2] == span->spanno) printk(KERN_INFO "SPAN %d: Tertiary Sync Source\n",span->spanno);
+	if (p->tor->syncs[3] == span->spanno) printk(KERN_INFO "SPAN %d: Quaternary Sync Source\n",span->spanno);
 	return 0;
 }
 
@@ -1018,7 +1018,7 @@
 		    case DAHDI_MAINT_LOOPSTOP:
 			return -ENOSYS;
 		    default:
-			printk("Tor2: Unknown maint command: %d\n", cmd);
+			printk(KERN_NOTICE "Tor2: Unknown maint command: %d\n", cmd);
 			break;
 		}
 		return 0;
@@ -1050,7 +1050,7 @@
 	t1out(p->tor,tspan,0x30,0);	/* stop sending loopup code */
 	break;
     default:
-	printk("Tor2: Unknown maint command: %d\n", cmd);
+	printk(KERN_NOTICE "Tor2: Unknown maint command: %d\n", cmd);
 	break;
    }
     return 0;
@@ -1150,7 +1150,7 @@
 			syncnum = newsyncnum;
 			syncsrc = newsyncsrc;
 			syncspan = newsyncspan;
-			if (debug) printk("New syncnum: %d, syncsrc: %d, syncspan: %d\n", syncnum, syncsrc, syncspan);
+			if (debug) printk(KERN_DEBUG "New syncnum: %d, syncsrc: %d, syncspan: %d\n", syncnum, syncsrc, syncspan);
 		}
 	}
 #endif	
@@ -1166,7 +1166,7 @@
 			/* actually set the sync register */
 			tor->mem8[SYNCREG] = syncspan;
 #endif			
-			if (debug) printk("Card %d, using sync span %d, master\n", tor->num, syncspan);
+			if (debug) printk(KERN_DEBUG "Card %d, using sync span %d, master\n", tor->num, syncspan);
 			tor->master = MASTER;	
 		} else {
 #if 1
@@ -1174,7 +1174,7 @@
 			tor->mem8[SYNCREG] = SYNCEXTERN;
 #endif			
 			tor->master = 0;
-			if (debug) printk("Card %d, using Timing Bus, NOT master\n", tor->num);	
+			if (debug) printk(KERN_DEBUG "Card %d, using Timing Bus, NOT master\n", tor->num);	
 		}
 	}
 	spin_unlock_irqrestore(&synclock, flags);
@@ -1205,7 +1205,7 @@
 
 #if	0
 	if (!tor->passno)
-		printk("Interrupt handler\n");
+		printk(KERN_DEBUG "Interrupt handler\n");
 #endif
 
 	/* do the transmit output */
Index: drivers/dahdi/wcfxo.c
===================================================================
--- drivers/dahdi/wcfxo.c	(revision 4608)
+++ drivers/dahdi/wcfxo.c	(working copy)
@@ -305,7 +305,7 @@
 			wc->ignoreread = 4;
 			break;
 		default:
-			printk("wcfxo: Huh?  No read or write??\n");
+			printk(KERN_DEBUG "wcfxo: Huh?  No read or write??\n");
 			cmd = 0;
 		}
 		/* Setup the write chunk */
@@ -357,7 +357,7 @@
 					wc->regoffset = wc->regoffset % (sizeof(wecareregs) / sizeof(wecareregs[0]));
 				}
 				if (debug)
-					printk("New regoffset: %d\n", wc->regoffset);
+					printk(KERN_DEBUG "New regoffset: %d\n", wc->regoffset);
 			}
 			/* Receive into the proper register */
 			wc->readregs[realreg] = realval;
@@ -388,14 +388,14 @@
 		if (!wc->ring && (wc->pegcount > PEGCOUNT)) {
 			/* It's ringing */
 			if (debug)
-				printk("RING!\n");
+				printk(KERN_DEBUG "RING!\n");
 			dahdi_hooksig(wc->chan, DAHDI_RXSIG_RING);
 			wc->ring = 1;
 		}
 		if (wc->ring && !wc->pegcount) {
 			/* No more ring */
 			if (debug)
-				printk("NO RING!\n");
+				printk(KERN_DEBUG "NO RING!\n");
 			dahdi_hooksig(wc->chan, DAHDI_RXSIG_OFFHOOK);
 			wc->ring = 0;
 		}
@@ -465,14 +465,14 @@
 	}
 
 	if (ints & 0x10) {
-		printk("FXO PCI Master abort\n");
+		printk(KERN_INFO "FXO PCI Master abort\n");
 		/* Stop DMA andlet the watchdog start it again */
 		wcfxo_stop_dma(wc);
 		return IRQ_RETVAL(1);
 	}
 
 	if (ints & 0x20) {
-		printk("PCI Target abort\n");
+		printk(KERN_INFO "PCI Target abort\n");
 		return IRQ_RETVAL(1);
 	}
 	if (1 /* !(wc->report % 0xf) */) {
@@ -482,17 +482,17 @@
 			wc->nobatttimer++;
 #if 0
 			if (wc->battery)
-				printk("Battery loss: %d (%d debounce)\n", b, wc->battdebounce);
+				printk(KERN_DEBUG "Battery loss: %d (%d debounce)\n", b, wc->battdebounce);
 #endif
 			if (wc->battery && !wc->battdebounce) {
 				if (debug)
-					printk("NO BATTERY!\n");
+					printk(KERN_DEBUG "NO BATTERY!\n");
 				wc->battery =  0;
 #ifdef	JAPAN
 				if ((!wc->ohdebounce) && wc->offhook) {
 					dahdi_hooksig(&wc->chan, DAHDI_RXSIG_ONHOOK);
 					if (debug)
-						printk("Signalled On Hook\n");
+						printk(KERN_DEBUG "Signalled On Hook\n");
 #ifdef	ZERO_BATT_RING
 					wc->onhook++;
 #endif
@@ -514,13 +514,13 @@
 		} else if (b == 0xf) {
 			if (!wc->battery && !wc->battdebounce) {
 				if (debug)
-					printk("BATTERY!\n");
+					printk(KERN_DEBUG "BATTERY!\n");
 #ifdef	ZERO_BATT_RING
 				if (wc->onhook) {
 					wc->onhook = 0;
 					dahdi_hooksig(&wc->chan, DAHDI_RXSIG_OFFHOOK);
 					if (debug)
-						printk("Signalled Off Hook\n");
+						printk(KERN_DEBUG "Signalled Off Hook\n");
 				}
 #else
 				dahdi_hooksig(wc->chan, DAHDI_RXSIG_OFFHOOK);
@@ -562,7 +562,7 @@
 		wc->wregcount++;
 		return 0;
 	}
-	printk("wcfxo: Out of space to write register %02x with %02x\n", reg, value);
+	printk(KERN_NOTICE "wcfxo: Out of space to write register %02x with %02x\n", reg, value);
 	return -1;
 }
 
@@ -577,7 +577,7 @@
 
 static int wcfxo_watchdog(struct dahdi_span *span, int event)
 {
-	printk("FXO: Restarting DMA\n");
+	printk(KERN_INFO "FXO: Restarting DMA\n");
 	wcfxo_restart_dma(span->pvt);
 	return 0;
 }
@@ -628,10 +628,10 @@
 #endif
 		break;
 	default:
-		printk("wcfxo: Can't set tx state to %d\n", txsig);
+		printk(KERN_NOTICE "wcfxo: Can't set tx state to %d\n", txsig);
 	}
 	if (debug)
-		printk("Setting hook state to %d (%02x)\n", txsig, reg);
+		printk(KERN_DEBUG "Setting hook state to %d (%02x)\n", txsig, reg);
 	return 0;
 }
 
@@ -664,7 +664,7 @@
 	wc->span.pvt = wc;
 	wc->chan->pvt = wc;
 	if (dahdi_register(&wc->span, 0)) {
-		printk("Unable to register span with DAHDI\n");
+		printk(KERN_NOTICE "Unable to register span with DAHDI\n");
 		return -1;
 	}
 	return 0;
@@ -788,7 +788,7 @@
 	set_current_state(TASK_INTERRUPTIBLE);
 	schedule_timeout(1 + (DAHDI_CHUNKSIZE * HZ) / 800);
 
-	printk("wcfxo: DAA mode is '%s'\n", fxo_modes[opermode].name);
+	printk(KERN_INFO "wcfxo: DAA mode is '%s'\n", fxo_modes[opermode].name);
 }
 
 static int wcfxo_init_daa(struct wcfxo *wc)
@@ -836,11 +836,11 @@
 	reg15 = 0x0;
 	/* Go ahead and attenuate transmit signal by 6 db */
 	if (quiet) {
-		printk("wcfxo: Attenuating transmit signal for quiet operation\n");
+		printk(KERN_INFO "wcfxo: Attenuating transmit signal for quiet operation\n");
 		reg15 |= (quiet & 0x3) << 4;
 	}
 	if (boost) {
-		printk("wcfxo: Boosting receive signal\n");
+		printk(KERN_INFO "wcfxo: Boosting receive signal\n");
 		reg15 |= (boost & 0x3);
 	}
 	wcfxo_setreg(wc, WC_DAA_TXRX_GCTL, reg15);
@@ -868,9 +868,9 @@
 	{ int x;
 	int y;
 	for (y=0;y<100;y++) {
-		printk(" reg dump ====== %d ======\n", y);
+		printk(KERN_DEBUG " reg dump ====== %d ======\n", y);
 		for (x=0;x<sizeof(wecareregs) / sizeof(wecareregs[0]);x++) {
-			printk("daa: Reg %d: %02x\n", wecareregs[x], wc->readregs[wecareregs[x]]);
+			printk(KERN_DEBUG "daa: Reg %d: %02x\n", wecareregs[x], wc->readregs[wecareregs[x]]);
 		}
 		set_current_state(TASK_INTERRUPTIBLE);
 		schedule_timeout(100);
@@ -918,7 +918,7 @@
 	   32 bits.  Allocate an extra set just for control too */
 	wc->writechunk = (int *)pci_alloc_consistent(pdev, DAHDI_MAX_CHUNKSIZE * 2 * 2 * 2 * 4, &wc->writedma);
 	if (!wc->writechunk) {
-		printk("wcfxo: Unable to allocate DMA-able memory\n");
+		printk(KERN_NOTICE "wcfxo: Unable to allocate DMA-able memory\n");
 		if (wc->freeregion)
 			release_region(wc->ioaddr, 0xff);
 		return -ENOMEM;
@@ -928,7 +928,7 @@
 	wc->readdma = wc->writedma + DAHDI_MAX_CHUNKSIZE * 16;		/* in bytes */
 
 	if (wcfxo_initialize(wc)) {
-		printk("wcfxo: Unable to intialize modem\n");
+		printk(KERN_NOTICE "wcfxo: Unable to intialize modem\n");
 		if (wc->freeregion)
 			release_region(wc->ioaddr, 0xff);
 		kfree(wc);
@@ -942,7 +942,7 @@
 	pci_set_drvdata(pdev, wc);
 
 	if (request_irq(pdev->irq, wcfxo_interrupt, DAHDI_IRQ_SHARED, "wcfxo", wc)) {
-		printk("wcfxo: Unable to request IRQ %d\n", pdev->irq);
+		printk(KERN_NOTICE "wcfxo: Unable to request IRQ %d\n", pdev->irq);
 		if (wc->freeregion)
 			release_region(wc->ioaddr, 0xff);
 		kfree(wc);
@@ -960,7 +960,7 @@
 
 	/* Initialize DAA (after it's started) */
 	if (wcfxo_init_daa(wc)) {
-		printk("Failed to initailize DAA, giving up...\n");
+		printk(KERN_NOTICE "Failed to initailize DAA, giving up...\n");
 		wcfxo_stop_dma(wc);
 		wcfxo_disable_interrupts(wc);
 		dahdi_unregister(&wc->span);
@@ -975,7 +975,7 @@
 		return -EIO;
 	}
 	wcfxo_set_daa_mode(wc);
-	printk("Found a Wildcard FXO: %s\n", wc->variety);
+	printk(KERN_INFO "Found a Wildcard FXO: %s\n", wc->variety);
 
 	return 0;
 }
@@ -986,7 +986,7 @@
 	if (wc->freeregion)
 		release_region(wc->ioaddr, 0xff);
 	kfree(wc);
-	printk("Freed a Wildcard\n");
+	printk(KERN_INFO "Freed a Wildcard\n");
 }
 
 static void __devexit wcfxo_remove_one(struct pci_dev *pdev)
@@ -1039,9 +1039,9 @@
 	int res;
 	int x;
 	if ((opermode >= sizeof(fxo_modes) / sizeof(fxo_modes[0])) || (opermode < 0)) {
-		printk("Invalid/unknown operating mode specified.  Please choose one of:\n");
+		printk(KERN_NOTICE "Invalid/unknown operating mode specified.  Please choose one of:\n");
 		for (x=0;x<sizeof(fxo_modes) / sizeof(fxo_modes[0]); x++)
-			printk("%d: %s\n", x, fxo_modes[x].name);
+			printk(KERN_INFO "%d: %s\n", x, fxo_modes[x].name);
 		return -ENODEV;
 	}
 	res = dahdi_pci_module(&wcfxo_driver);
Index: drivers/dahdi/wctdm24xxp/GpakCust.c
===================================================================
--- drivers/dahdi/wctdm24xxp/GpakCust.c	(revision 4608)
+++ drivers/dahdi/wctdm24xxp/GpakCust.c	(working copy)
@@ -252,7 +252,7 @@
 	unsigned short res;
 	wctdm_vpm150m_setpage(wc, addr >> 16);
 	if ((addr >> 16) != ((addr + len) >> 16))
-		printk("getreg: You found it!\n");
+		printk(KERN_INFO "getreg: You found it!\n");
 	res = wctdm_vpm150m_getreg_full(wc, 0, len, addr & 0xffff, data);
  	return res;
 }
@@ -262,7 +262,7 @@
 	int res;
 	wctdm_vpm150m_setpage(wc, addr >> 16);
 	if ((addr >> 16) != ((addr + len) >> 16))
-		printk("getreg: You found it!\n");
+		printk(KERN_INFO "getreg: You found it!\n");
 	res = wctdm_vpm150m_setreg_full(wc, 0, len, addr & 0xffff, data);
 	return res;
 }
@@ -346,7 +346,7 @@
 	int i;
 	int transcount;
 
-	//printk("Writing %d words to memory\n", NumWords);
+	//printk(KERN_DEBUG "Writing %d words to memory\n", NumWords);
 	if (wc && wc->vpm150m) {
 		for (i = 0; i < NumWords;) {
 			if ((NumWords - i) > VPM150M_MAX_DATA)
@@ -360,7 +360,7 @@
 #if 0
 		for (i = 0; i < NumWords; i++) {
 			if (wctdm_vpm150m_getreg(wc, DspAddress + i) != pWordValues[i]) {
-				printk("Error in write.  Address %x is not %x\n", DspAddress + i, pWordValues[i]);
+				printk(KERN_NOTICE "Error in write.  Address %x is not %x\n", DspAddress + i, pWordValues[i]);
 			}
 		}
 #endif
